/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.login.client.AppliPanel;

import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiTemplate;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.LayoutPanel;
import com.google.gwt.user.client.ui.Widget;


/**
 * View of the appli panel.
 */
public class VAppliPanel extends Composite implements VAppliPanelIF {

	  @UiTemplate ("VAppliPanel.ui.xml")
	  interface MyUiBinder extends UiBinder<Widget, VAppliPanel> { }
	  private static MyUiBinder uiBinder = GWT.create(MyUiBinder.class);

	  @UiField LayoutPanel   appliLayoutPanelParent;
	  @UiField LayoutPanel   appliLayoutPanelOrcB;
	  @UiField LayoutPanel        contentPanel;
	  @UiField LayoutPanel      infoPanel;

	  private boolean fullscreen=false;

	  /**
	   * Constructor of the view
	   */
	  public VAppliPanel() {
	    this.initWidget(VAppliPanel.uiBinder.createAndBindUi(this));
	  }

	  public LayoutPanel getAppliLayoutPanelParent() {
		    return this.appliLayoutPanelParent;
		  }
	  public LayoutPanel getContentPanel() {
		    return this.contentPanel;
		  }
	  public LayoutPanel getInfoPanel() {
		    return this.infoPanel;
		  }

	  public LayoutPanel getAppliLayoutPanelOrcB(){
		  return this.appliLayoutPanelOrcB;
	  }

	  public void setFullscreen(boolean fullscreen) {
		  this.fullscreen = fullscreen;
	  }

	  public boolean isFullscreen() {
		  return fullscreen;
	  }
}


