/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.login.client.InfoBar;


import com.google.gwt.core.client.GWT;
import com.google.gwt.dom.client.Style.Float;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiTemplate;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.Widget;


/**
 * This class is the bar between banner and tablayoutpanel the displays information.
 */
public class VInfoBar extends Composite implements VInfoBarIF {

  @UiTemplate ("VInfoBar.ui.xml")
  interface MyUiBinder extends UiBinder<Widget, VInfoBar> { }
  private static MyUiBinder uiBinder = GWT.create(MyUiBinder.class);
  @UiField Label infoLabel;
  @UiField Label orchestra;
  @UiField Image logoutLabel;
  @UiField Image fullScreen;
  @UiField HorizontalPanel hpanel;
  @UiField FlowPanel fpanel;


  /**
   * Constructor of the clasee
   */
  public VInfoBar() {
    this.initWidget(VInfoBar.uiBinder.createAndBindUi(this));
    orchestra.getElement().getStyle().setFloat(Float.LEFT);
    logoutLabel.setTitle("Log Out");
    fullScreen.setTitle("Full Screen");
    infoLabel.getElement().getStyle().setFloat(Float.LEFT);
    hpanel.setCellHorizontalAlignment(infoLabel, HorizontalPanel.ALIGN_RIGHT);
    hpanel.setCellHorizontalAlignment(fullScreen, HorizontalPanel.ALIGN_RIGHT);
    hpanel.getElement().getStyle().setFloat(Float.RIGHT);
  }

  /**
   * Getter of the info Label.
   */
  public Label getInfoLabel() {
    return infoLabel;
  }

  public Label getOrchestraLabel() {
    return orchestra;
  }

  /**
   * Getter of the logout Label
   */
  public Image getLogoutLabel() {
    return logoutLabel;
  }

  public Image getFullScreen() {
	    return fullScreen;
	  }
  public HorizontalPanel getHpanel(){
	  return hpanel;
  }

  public FlowPanel getFpanel(){
	  return fpanel;
  }

}
