/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.login.client.LoginPanel;

import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiFactory;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiTemplate;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.FormPanel;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.PasswordTextBox;
import com.google.gwt.user.client.ui.TextBox;
import com.google.gwt.user.client.ui.Widget;


/**
 * This class is the view of the login panel.
 */
public class VLoginPanel extends Composite implements VLoginPanelIF {

  @UiTemplate("VLoginPanel.ui.xml")
  interface MyUiBinder extends UiBinder<Widget, VLoginPanel> {
  }

  private static MyUiBinder uiBinder = GWT.create(MyUiBinder.class);

  @UiField
  FormPanel formPanel;
  @UiField
  TextBox userNameField;
  @UiField
  PasswordTextBox passwordField;
  @UiField
  Label logFailedLabel;
  @UiField
  Image logFailedBtn;
  @UiField
  Button submitButton;


  /**
   *
   */
  public VLoginPanel() {
    this.initWidget(VLoginPanel.uiBinder.createAndBindUi(this));
  }


    @UiFactory FormPanel constructor() {
      return new FormPanel("_self");
    }



  /**
   * This is the getter method for the form panel.
   */
  public FormPanel getFormPanel() {
    return formPanel;
  }

  /**
   * This is the getter method for the password field.
   */
  public PasswordTextBox getPasswordField() {
    return this.passwordField;
  }

  /**
   * This is the getter method for the username field.
   */
  public TextBox getUserNameField() {
    return this.userNameField;
  }

  /**
   * This is the getter method for the login failed label.
   */
  public Label getLogFailedLabel() {
    return logFailedLabel;
  }

  /**
   * This is the getter method for the login failed label.
   *
   * @author Jean-Yves Goubet
   *
   */
  public Image getlogFailedBtn() {
    return logFailedBtn;
  }

  public Button getSubmitButton() {
    return submitButton;
  }
}
